%% ---------------------------------------------------------------------------
%% @doc 活动参与记录服务api
%% @author hek
%% @since  2016-11-14
%% @deprecated
%% ---------------------------------------------------------------------------
-module (lib_act_join_api).
-include ("common.hrl").
-include ("rec_act_join.hrl").

-export ([
	add_join/3,
	get_join/1,
	get_join_num/1,
	clear_module/1,
	quit_guild/1
]).

%% 添加参与记录
add_join(PlayerId, GuildId, ModuleId) ->
	mod_act_join:add_join(PlayerId, GuildId, ModuleId),
	ok.

%% 获取参与一个活动的玩家
%% @return [{PlayerId, GuildId}|...}
get_join(ModuleId) ->
	mod_act_join:get_join(ModuleId).

%% 获取参与一个活动参与人数
%% @return [{PlayerId, GuildId}|...}
get_join_num(ModuleId) ->
	mod_act_join:get_join_num(ModuleId).

%% 清除一个活动参与记录
clear_module(ModuleId) ->
	mod_act_join:clear_module(ModuleId),
	ok.

%% 退出公会，清除活动参与记录
quit_guild(PlayerId) ->
	mod_act_join:quit_guild(PlayerId),
	ok.
